File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Java in General and the fly likes Jaas and Jdk1.2 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Java in General
Bookmark "Jaas and Jdk1.2" Watch "Jaas and Jdk1.2" New topic

Jaas and Jdk1.2

Thomas Turser

Joined: Nov 23, 2001
Posts: 7
Jaas requires Jdk 1.3. But we still use Jdk 1.2 in our productive environment. I wanted to ask you if anyone knows a solution to use Jaas with jdk 1.2 ?
Maybe there is an additional .jar which is required to make jaas working mit jdk 1.2 ?
thanks in advance
kind regards
Ernest Friedman-Hill
author and iconoclast

Joined: Jul 08, 2003
Posts: 24199

Hi "test",
Welcome to JavaRanch!
We don't have many rules 'round these parts, but we do have our naming policy. Your display name has to be a real-sounding first and last name. Most of us around here use our real names -- keeps us honest. Please change yours here, pronto! Thanks, pardner.
Now, as far as your question goes: I don't know for sure, but JAAS probably relies on various APIs that don't exist in JDK 1.2. Can I ask why you need to still run this old software? Modern JVMs are a lot faster.

[Jess in Action][AskingGoodQuestions]
Thomas Turser

Joined: Nov 23, 2001
Posts: 7
hi Ernest!
Thanks for your answer!
Well the productive servers use still jdk 1.2 and there are alot of them and its a huge environment, we cannot change the jdk from one day to another, it would be a larger process.
so changing the jdk is a much bigger effort then just making this new webapplication working with jdk 1.2 (if there is a simple solution for that..)
kind regards
I agree. Here's the link:
subject: Jaas and Jdk1.2
It's not a secret anymore!